import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$3 } from './p-B_Omo6hK.js';
import { d as defineCustomElement$2 } from './p-DiC-xcof.js';

const DgaChipUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaChipUsage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.isSelected = false;
    }
    render() {
        return (h("div", { key: 'a7f8a0c8935f8cf26a4af5e4e60c96b35482441f' }, h("h1", { key: 'c5a0328a41e56e62459b5e11349c04c718fe6740' }, "Chip Example"), h("div", { key: 'cdd210478b5a056c6d95fb52c6a1a3f859b295e6', style: { padding: '50px', display: 'flex', gap: '20px' } }, h("div", { key: 'e1308db145740be93aad44d3968577028706d8cb', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }, h("dga-chip", { key: 'e0afdec2e26596a35de25f01057cba4ea9657cef', label: "Label", variant: "neutral",
            //   outlined={false}
            rounded: false, size: "lg" }), h("dga-chip", { key: '20b2510694d0ac06f3f2c2c14f939ed828d673a8', label: "Label", variant: "success", rounded: false, size: "lg", onChange: (isSelected) => {
                console.log(isSelected, "hi");
                this.isSelected = isSelected;
            }, isSelected: this.isSelected }), h("dga-chip", { key: 'd1e3f3bb18379100f16f51dbde938503499d6753', label: "Label", variant: "success", rounded: false, size: "lg", onChange: (isSelected) => {
                console.log(isSelected, "hi");
            }, isSelected: false }), h("dga-chip", { key: '5aac36d3d295f6101d664bd791157f9b95a7a630', label: "Label", variant: "success", rounded: false, size: "lg", disabled: true }), h("div", { key: 'b50cdc2df6e1a14b7fd632cd6c4cadf4a0c8ee4f', style: { display: 'flex', flexDirection: 'column', gap: '20px', backgroundColor: '#074D31' } }, h("dga-chip", { key: '8574f35b4a3a7e9a231f95645cd0cb21c5f38230', label: "Label", variant: "on-color", rounded: true, size: "lg", disabled: true }))))));
    }
}, [0, "dga-chip-usage", {
        "isSelected": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-chip-usage", "dga-chip", "dga-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-chip-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaChipUsage$1);
            }
            break;
        case "dga-chip":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaChipUsage = DgaChipUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaChipUsage, defineCustomElement };
